declare const meta: {
    title: string;
    component: ({ message, severity, onClick, onClose, onClickLabel, }: import("./Snackbar.types").SnackbarProps) => import("react/jsx-runtime").JSX.Element;
    tags: string[];
    argTypes: {
        onClick: {
            action: string;
        };
    };
};
export default meta;
export declare const SuccessSnackbar: import("@storybook/core/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, import("./Snackbar.types").SnackbarProps>;
export declare const InfoSnackbar: import("@storybook/core/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, import("./Snackbar.types").SnackbarProps>;
export declare const ErrorSnackbar: import("@storybook/core/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, import("./Snackbar.types").SnackbarProps>;
export declare const WarningSnackbar: import("@storybook/core/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, import("./Snackbar.types").SnackbarProps>;
export declare const SnackbarWithButton: import("@storybook/core/csf").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, import("./Snackbar.types").SnackbarProps>;
